VERTEXPROGRAM(3CgFX)

NAME
VertexProgram - 3D API vertex program

USAGE
VertexProgram = compile profile "-po profileOption" main(args);

VALID ENUMERANTS
prog: Null

DESCRIPTION
Compile a vertex program. See the specification of the OpenGL vertex profile for details. See the specification of the Direct3D vertex shaders for details.

The standard reset callback sets the VertexProgram state to program(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
FragmentProgram, GeometryProgram, TessellationControlProgram, TessellationEvaluationProgram, GeometryShader, PixelShader, TessellationControlShader, TessellationEvaluationShader, VertexShader